Summary:	A python interface to constant database files (cdb)
Name:		python-cdb
Version:	0.32
Release:	3%{?_dist_release}
Source0:	http://pilcrow.madison.wi.us/python-cdb/%{name}-%{version}.tar.gz
License:	GPL
Group:		Development/Languages
URL:		http://pilcrow.madison.wi.us/
BuildRequires:	python-devel >= 2.0
Requires:	python >= 2.0
Vendor: Project Vine
Distribution: Vine Linux
Packager: Susumu Tanimura <stanimura-ngs@umin.ac.jp>
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The python-cdb extension module is an adaptation of D. J.
Bernstein's constant database package (see 
http://cr.yp.to/cdb.html).

cdb files are mappings of keys to values, designed for wickedly
fast lookups and atomic updates.  This module mimics the normal
cdb utilities, cdb(get|dump|make), via convenient, high-level
Python objects.

%prep

%setup -q

%build

CFLAGS="%{optflags}" python setup.py build

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

python setup.py install \
    --root="%{buildroot}" \
    --record="INSTALLED_FILES"

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc ChangeLog README COPYING Example

%changelog
* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.32-3
- rebuild with VineSeed environment

* Mon Apr 19 2010 Shu KONNO <owa@bg.wakwak.com> 0.32-2
- rebuilt with python-2.6

* Sun Jul 20 2008 Shu KONNO <owa@bg.wakwak.com> 0.32-1vl5
- rebuilt with python-2.5.2
- applied new versioning policy and spec in utf-8

* Tue Aug 15 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.32-0vl2
- Rebuilt for Vine Seed (4.0)
- Changed Group to Development/Languages

* Wed Sep 29 2004  <stanimura-ngs@umin.ac.jp>
- Initial package for VineLinux3.0

* Tue Aug 12 2003 Per ﾘyvind Karlsen <peroyvind@linux-mandrake.com> 0.32-4mdk
- really rebuild against new python

* Thu Aug 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.32-3mdk
- rebuilt against new python

* Sun Jul 27 2003 Michael Scherer <scherer.michael@free.fr> 0.32-2mdk 
- BuildRequires

* Wed Jul 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.32-1mdk
- initial cooker contrib
